Package: groovy.transform

## [Java] Annotation Type TypeChecked

- groovy.transform.TypeChecked

- This will let the Groovy compiler use compile time checks in the style of Java.

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---

    `@interface`

    `TypeChecked.TypeCheckingInfo`

    This annotation is added by
    TypeChecked:
      on methods which have type checking turned on.

  - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String[]` | `extensions` The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.
    `TypeCheckingMode` | `value` @default TypeCheckingMode.PASS

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Element Detail

    - #### public String[] extensions

      The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions. @default {}

      Returns:
        an array of paths to groovy scripts that must be on compile classpath

    - #### public TypeCheckingMode value

      @default TypeCheckingMode.PASS